libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::ipa::CameraSensorHelper::AnalogueGainLinearConstants Struct Reference

Analogue gain constants for the linear gain model. More...

## Public Attributes
int16_t | m0
| Constant used in the linear gain coding/decoding.
int16_t | c0
| Constant used in the linear gain coding/decoding.
int16_t | m1
| Constant used in the linear gain coding/decoding.
int16_t | c1
| Constant used in the linear gain coding/decoding.

## Detailed Description

Analogue gain constants for the linear gain model.

## Member Data Documentation

## ◆ m0

int16_t libcamera::ipa::CameraSensorHelper::AnalogueGainLinearConstants::m0

Constant used in the linear gain coding/decoding.

Note
  Either m0 or m1 shall be zero.

## ◆ m1

int16_t libcamera::ipa::CameraSensorHelper::AnalogueGainLinearConstants::m1

Constant used in the linear gain coding/decoding.

Note
  Either m0 or m1 shall be zero.

The documentation for this struct was generated from the following files:

- src/ipa/libipa/camera_sensor_helper.h
- src/ipa/libipa/camera_sensor_helper.cpp